<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionBookMenuTabServerInfoSettingCategory Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/d32/a04057.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionBookMenuTabServerInfoSettingCategory Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionBookMenuTabServerInfoSettingCategory:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../dc/d32/a04057.png" usemap="#ExpansionBookMenuTabServerInfoSettingCategory_map" alt=""/>
  <map id="ExpansionBookMenuTabServerInfoSettingCategory_map" name="ExpansionBookMenuTabServerInfoSettingCategory_map">
<area href="../../d3/d45/a05057.html" alt="ExpansionScriptView" shape="rect" coords="0,0,301,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a221a068002f83bf877b658dce4fd1522"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d32/a04057.html#a221a068002f83bf877b658dce4fd1522">ExpansionBookMenuTabServerInfoSettingCategory</a> (<a class="el" href="../../d6/d73/a04025.html">ExpansionBookMenuTabServerInfo</a> tab, <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> setting)</td></tr>
<tr class="separator:a221a068002f83bf877b658dce4fd1522"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a882b60de2dded52187c0e69f949f168d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d32/a04057.html#a882b60de2dded52187c0e69f949f168d">SetView</a> ()</td></tr>
<tr class="separator:a882b60de2dded52187c0e69f949f168d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeee092384434909115c14b842f37ecf4"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d32/a04057.html#aeee092384434909115c14b842f37ecf4">GetLayoutFile</a> ()</td></tr>
<tr class="separator:aeee092384434909115c14b842f37ecf4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1d785f3e8de36cd9f5f6965edb9db84"><td class="memItemLeft" align="right" valign="top">override&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d32/a04057.html#af1d785f3e8de36cd9f5f6965edb9db84">GetControllerType</a> ()</td></tr>
<tr class="separator:af1d785f3e8de36cd9f5f6965edb9db84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a016883f66167c39202b5c4e506f29f81"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d32/a04057.html#a016883f66167c39202b5c4e506f29f81">OnEntryButtonClick</a> ()</td></tr>
<tr class="separator:a016883f66167c39202b5c4e506f29f81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af23371c1cfab19218b06c0e2bf03bc95"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d32/a04057.html#af23371c1cfab19218b06c0e2bf03bc95">OnMouseEnter</a> (Widget w, int x, int y)</td></tr>
<tr class="separator:af23371c1cfab19218b06c0e2bf03bc95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa68f08500e4a03aceae04169fe26dbb8"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d32/a04057.html#aa68f08500e4a03aceae04169fe26dbb8">OnMouseLeave</a> (Widget w, Widget enterW, int x, int y)</td></tr>
<tr class="separator:aa68f08500e4a03aceae04169fe26dbb8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c1a4858739ddab61df26bdceb3e73cc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d32/a04057.html#a8c1a4858739ddab61df26bdceb3e73cc">AddSetting</a> (<a class="el" href="../../db/dfa/a04049.html">ExpansionBookMenuTabServerInfoSetting</a> setting)</td></tr>
<tr class="separator:a8c1a4858739ddab61df26bdceb3e73cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a0906b5590a570e2db9ba666147e52939"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d6/d73/a04025.html">ExpansionBookMenuTabServerInfo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d32/a04057.html#a0906b5590a570e2db9ba666147e52939">m_ServerInfoTab</a></td></tr>
<tr class="separator:a0906b5590a570e2db9ba666147e52939"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e0ff967b6d553b513ac9b94feeadfce"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d7/dfc/a04061.html">ExpansionBookMenuTabServerInfoSettingCategoryController</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d32/a04057.html#a6e0ff967b6d553b513ac9b94feeadfce">m_SettingCategoryController</a></td></tr>
<tr class="separator:a6e0ff967b6d553b513ac9b94feeadfce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b40493bc06b4b330c646340e987e481"><td class="memItemLeft" align="right" valign="top">private ImageWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d32/a04057.html#a8b40493bc06b4b330c646340e987e481">setting_entry_icon</a></td></tr>
<tr class="separator:a8b40493bc06b4b330c646340e987e481"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac90b26d24aaf41035ada8cae1317555c"><td class="memItemLeft" align="right" valign="top">private ButtonWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d32/a04057.html#ac90b26d24aaf41035ada8cae1317555c">setting_entry_button</a></td></tr>
<tr class="separator:ac90b26d24aaf41035ada8cae1317555c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76010b155f4bd7b73bd51d3e06eeadc1"><td class="memItemLeft" align="right" valign="top">private TextWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d32/a04057.html#a76010b155f4bd7b73bd51d3e06eeadc1">setting_entry_label</a></td></tr>
<tr class="separator:a76010b155f4bd7b73bd51d3e06eeadc1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfe16bdeecc8bce1c898f5b3593deee1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d32/a04057.html#acfe16bdeecc8bce1c898f5b3593deee1">m_Setting</a></td></tr>
<tr class="separator:acfe16bdeecc8bce1c898f5b3593deee1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a682524c5fdaf0258e197abffb1593adc"><td class="memItemLeft" align="right" valign="top">WrapSpacerWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d32/a04057.html#a682524c5fdaf0258e197abffb1593adc">settings_content</a></td></tr>
<tr class="separator:a682524c5fdaf0258e197abffb1593adc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d4/d2a/a00632.html">ExpansionBookMenuTabServerInfoSettingCategory.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d4/d2a/a00632_source.html#l00013">13</a> of file <a class="el" href="../../d4/d2a/a00632_source.html">expansionbookmenutabserverinfosettingcategory.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a221a068002f83bf877b658dce4fd1522" name="a221a068002f83bf877b658dce4fd1522"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a221a068002f83bf877b658dce4fd1522">&#9670;&#160;</a></span>ExpansionBookMenuTabServerInfoSettingCategory()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionBookMenuTabServerInfoSettingCategory::ExpansionBookMenuTabServerInfoSettingCategory </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d6/d73/a04025.html">ExpansionBookMenuTabServerInfo</a>&#160;</td>
          <td class="paramname"><em>tab</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>setting</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d2a/a00632_source.html#l00026">26</a> of file <a class="el" href="../../d4/d2a/a00632_source.html">expansionbookmenutabserverinfosettingcategory.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a8c1a4858739ddab61df26bdceb3e73cc" name="a8c1a4858739ddab61df26bdceb3e73cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c1a4858739ddab61df26bdceb3e73cc">&#9670;&#160;</a></span>AddSetting()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionBookMenuTabServerInfoSettingCategory::AddSetting </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../db/dfa/a04049.html">ExpansionBookMenuTabServerInfoSetting</a>&#160;</td>
          <td class="paramname"><em>setting</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d2a/a00632_source.html#l00091">91</a> of file <a class="el" href="../../d4/d2a/a00632_source.html">expansionbookmenutabserverinfosettingcategory.c</a>.</p>

</div>
</div>
<a id="af1d785f3e8de36cd9f5f6965edb9db84" name="af1d785f3e8de36cd9f5f6965edb9db84"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af1d785f3e8de36cd9f5f6965edb9db84">&#9670;&#160;</a></span>GetControllerType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override ExpansionBookMenuTabServerInfoSettingCategory::GetControllerType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d2a/a00632_source.html#l00048">48</a> of file <a class="el" href="../../d4/d2a/a00632_source.html">expansionbookmenutabserverinfosettingcategory.c</a>.</p>

</div>
</div>
<a id="aeee092384434909115c14b842f37ecf4" name="aeee092384434909115c14b842f37ecf4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeee092384434909115c14b842f37ecf4">&#9670;&#160;</a></span>GetLayoutFile()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionBookMenuTabServerInfoSettingCategory::GetLayoutFile </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d2a/a00632_source.html#l00043">43</a> of file <a class="el" href="../../d4/d2a/a00632_source.html">expansionbookmenutabserverinfosettingcategory.c</a>.</p>

</div>
</div>
<a id="a016883f66167c39202b5c4e506f29f81" name="a016883f66167c39202b5c4e506f29f81"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a016883f66167c39202b5c4e506f29f81">&#9670;&#160;</a></span>OnEntryButtonClick()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionBookMenuTabServerInfoSettingCategory::OnEntryButtonClick </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d2a/a00632_source.html#l00053">53</a> of file <a class="el" href="../../d4/d2a/a00632_source.html">expansionbookmenutabserverinfosettingcategory.c</a>.</p>

</div>
</div>
<a id="af23371c1cfab19218b06c0e2bf03bc95" name="af23371c1cfab19218b06c0e2bf03bc95"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af23371c1cfab19218b06c0e2bf03bc95">&#9670;&#160;</a></span>OnMouseEnter()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionBookMenuTabServerInfoSettingCategory::OnMouseEnter </td>
          <td>(</td>
          <td class="paramtype">Widget&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d2a/a00632_source.html#l00065">65</a> of file <a class="el" href="../../d4/d2a/a00632_source.html">expansionbookmenutabserverinfosettingcategory.c</a>.</p>

</div>
</div>
<a id="aa68f08500e4a03aceae04169fe26dbb8" name="aa68f08500e4a03aceae04169fe26dbb8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa68f08500e4a03aceae04169fe26dbb8">&#9670;&#160;</a></span>OnMouseLeave()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionBookMenuTabServerInfoSettingCategory::OnMouseLeave </td>
          <td>(</td>
          <td class="paramtype">Widget&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Widget&#160;</td>
          <td class="paramname"><em>enterW</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d2a/a00632_source.html#l00078">78</a> of file <a class="el" href="../../d4/d2a/a00632_source.html">expansionbookmenutabserverinfosettingcategory.c</a>.</p>

</div>
</div>
<a id="a882b60de2dded52187c0e69f949f168d" name="a882b60de2dded52187c0e69f949f168d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a882b60de2dded52187c0e69f949f168d">&#9670;&#160;</a></span>SetView()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionBookMenuTabServerInfoSettingCategory::SetView </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d2a/a00632_source.html#l00037">37</a> of file <a class="el" href="../../d4/d2a/a00632_source.html">expansionbookmenutabserverinfosettingcategory.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a0906b5590a570e2db9ba666147e52939" name="a0906b5590a570e2db9ba666147e52939"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0906b5590a570e2db9ba666147e52939">&#9670;&#160;</a></span>m_ServerInfoTab</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d6/d73/a04025.html">ExpansionBookMenuTabServerInfo</a> ExpansionBookMenuTabServerInfoSettingCategory::m_ServerInfoTab</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d2a/a00632_source.html#l00015">15</a> of file <a class="el" href="../../d4/d2a/a00632_source.html">expansionbookmenutabserverinfosettingcategory.c</a>.</p>

</div>
</div>
<a id="acfe16bdeecc8bce1c898f5b3593deee1" name="acfe16bdeecc8bce1c898f5b3593deee1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acfe16bdeecc8bce1c898f5b3593deee1">&#9670;&#160;</a></span>m_Setting</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionBookMenuTabServerInfoSettingCategory::m_Setting</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d2a/a00632_source.html#l00022">22</a> of file <a class="el" href="../../d4/d2a/a00632_source.html">expansionbookmenutabserverinfosettingcategory.c</a>.</p>

</div>
</div>
<a id="a6e0ff967b6d553b513ac9b94feeadfce" name="a6e0ff967b6d553b513ac9b94feeadfce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e0ff967b6d553b513ac9b94feeadfce">&#9670;&#160;</a></span>m_SettingCategoryController</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d7/dfc/a04061.html">ExpansionBookMenuTabServerInfoSettingCategoryController</a> ExpansionBookMenuTabServerInfoSettingCategory::m_SettingCategoryController</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d2a/a00632_source.html#l00016">16</a> of file <a class="el" href="../../d4/d2a/a00632_source.html">expansionbookmenutabserverinfosettingcategory.c</a>.</p>

</div>
</div>
<a id="ac90b26d24aaf41035ada8cae1317555c" name="ac90b26d24aaf41035ada8cae1317555c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac90b26d24aaf41035ada8cae1317555c">&#9670;&#160;</a></span>setting_entry_button</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private ButtonWidget ExpansionBookMenuTabServerInfoSettingCategory::setting_entry_button</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d2a/a00632_source.html#l00019">19</a> of file <a class="el" href="../../d4/d2a/a00632_source.html">expansionbookmenutabserverinfosettingcategory.c</a>.</p>

</div>
</div>
<a id="a8b40493bc06b4b330c646340e987e481" name="a8b40493bc06b4b330c646340e987e481"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b40493bc06b4b330c646340e987e481">&#9670;&#160;</a></span>setting_entry_icon</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private ImageWidget ExpansionBookMenuTabServerInfoSettingCategory::setting_entry_icon</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d2a/a00632_source.html#l00018">18</a> of file <a class="el" href="../../d4/d2a/a00632_source.html">expansionbookmenutabserverinfosettingcategory.c</a>.</p>

</div>
</div>
<a id="a76010b155f4bd7b73bd51d3e06eeadc1" name="a76010b155f4bd7b73bd51d3e06eeadc1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76010b155f4bd7b73bd51d3e06eeadc1">&#9670;&#160;</a></span>setting_entry_label</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private TextWidget ExpansionBookMenuTabServerInfoSettingCategory::setting_entry_label</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d2a/a00632_source.html#l00020">20</a> of file <a class="el" href="../../d4/d2a/a00632_source.html">expansionbookmenutabserverinfosettingcategory.c</a>.</p>

</div>
</div>
<a id="a682524c5fdaf0258e197abffb1593adc" name="a682524c5fdaf0258e197abffb1593adc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a682524c5fdaf0258e197abffb1593adc">&#9670;&#160;</a></span>settings_content</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">WrapSpacerWidget ExpansionBookMenuTabServerInfoSettingCategory::settings_content</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d2a/a00632_source.html#l00024">24</a> of file <a class="el" href="../../d4/d2a/a00632_source.html">expansionbookmenutabserverinfosettingcategory.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Book/Scripts/5_mission/dayzexpansion_book/book/booktabs/serverinfo/<a class="el" href="../../d4/d2a/a00632_source.html">expansionbookmenutabserverinfosettingcategory.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dc/d32/a04057.html">ExpansionBookMenuTabServerInfoSettingCategory</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
